> For the complete documentation index, see [llms.txt](https://docs.sportmonks.com/v2/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportmonks.com/v2/cricket-api/our-api/leagues-and-seasons.md).

# Leagues

The leagues endpoint is for most customers the starting point. A request on this endpoint would return a response with all Leagues you have access to, based on the plan you are subscribed to.

The leagues endpoint provides you League information like its id, name, country, coverage etc.

The endpoint is often used in combination with the season or seasons includes. Where the season include returns information about the active season only, the seasons Include returns information about all seasons available for the specific Leagues.

{% content-ref url="/pages/-MYFkMMVbckrmPlkun7k" %}
[GET All Leagues](/v2/cricket-api/our-api/leagues-and-seasons/get-all-leagues.md)
{% endcontent-ref %}

{% content-ref url="/pages/-MYFkMtr4FbMk96XqQV9" %}
[GET League by ID](/v2/cricket-api/our-api/leagues-and-seasons/get-league-by-id.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportmonks.com/v2/cricket-api/our-api/leagues-and-seasons.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
